#ifndef _MOTORME_H
#define _MOTORME_H

/**********************************************************************
 * 			MEKATRONIX Copyright 1998 		      *
 * Title        motorme.c  (Motor Drivers for ME11)                *
 * Programmer   Keith L. Doty                      *
 * Date         May 09, 1999                                        *
 * 				                                                     *
 * Version      1  
     Changed some names, set PACTL bits with one command, cleaned up.
 *                                                                    *
 * Description                                                        *
 * Left motor is motor 1 (PA6) and right motor is motor 0 (PA5).      *
 * For efficient use of output compares, OC5 is used to modulate pins *
 * both PA5 and PA6. 		      *
 **********************************************************************/

/**************************** Includes **********************************/
#include <hc11.h>
#include <mil.h>
/************************************************************************/

/*************************** Prototypes *********************************/
void init_motorme(void);
void motorme(int, int);
void TOC5_isr(void);
/************************************************************************/

#endif
