	.module srvme.c
	.dbfile srvme.c
	.area text
;  IX -> 0,x
_SCI_isr::
	.dbfile C:\ICCME\include/isrdecl.h
	.dbfunc SCI_isr
	.dbline 44
; /************************************************************************
;  * Title        srvme.c                                                 *
;  * Programmer	Keith L. Doty	        				*
;  * Date         May 03, 1999                                            *
;  * Version	1			                		*
;  *								        *
;  * Description								*
;  *   Input two integers to specify the speed and direction of the left  *
;  *   and right wheels. The integers must lie between -100 and +100. Any *
;  *   non-digit character will terminate the integer, e.g., a blank.     *
;  *									*
;  *   	      CAREFUL!!! The robot will start moving immediately!	*
;  *									*
;  * Use Hyperterm with the following settings:                           *
;  *   									*
;  *      COM1, 9600 Baud, 8 bits, No Parity, 1 Stop bit, No Flow         *
;  *      of Control, VT100 Terminal, WrapLines.				*
;  *									*
;  *									*
;  *   To input another pair of speeds, press reset to start the program  *
;  *   over. 								*
;  *									*
;  *  Usage: This program allows you to move the robot at any fixed       *
;  *         wheel speed ratios to generate either straight or circular	*
;  *         motion.  							*
;  ************************************************************************/
;  
; /**************************** Includes **********************************/
; #include <tjpbase.h>
; #include <stdio.h>
; /************************ End of includes *******************************/
; 
; 
; void main(void)
; /****************************** Main ***********************************/
; {
;   int PW3, PW7;
; /* VT100 clear screen */ 
;   char c1, clear[]= "\x1b\x5B\x32\x4A\x04"; 
; 
; /* VT100 position cursor at (x,y) = (3,12) command is "\x1b[3;12H"*/
;   char place[]= "\x1b[1;1H";	/*Home*/	
; 
;   init_servome();
L2:
	rti
;  IX -> 0,x
_SPI_isr::
	.dbfunc SPI_isr
	.dbline 50
;   init_serial();
;   init_clocktjp();
;   
; while(1)
; {
; 
L3:
	rti
;  IX -> 0,x
_PAIE_isr::
	.dbfunc PAIE_isr
	.dbline 56
;   printf("%s", clear);  
;   printf("%s", place);
;   
;   printf("\tTitle\t\txm2tk.c\n"
;   "\tProgrammer\tKeith L. Doty\n"
;   "\tDate\t\tMay 03, 1999\n"
L4:
	rti
;  IX -> 0,x
_PAV_isr::
	.dbfunc PAV_isr
	.dbline 62
;   "\tVersion\t\t1\n\n");
; 
;   printf("Pulse Width for Servo on PA3: 1000<PW3<4000 or PW3=0:   ");
;   PW3 = read_int();
; 
;   printf("Pulse Width for Servo on PA7: 1000<PW7<4000 or PW7=0:   ");
L5:
	rti
;  IX -> 0,x
_TOF_isr::
	.dbfunc TOF_isr
	.dbline 68
;   PW7 = read_int();
; 
;   servo(0, PW3);
;   servo(2, PW7);
;   
;   printf("Type any character to input new data.");
L6:
	rti
;  IX -> 0,x
_TOC5_isr::
	.dbfunc TOC5_isr
	.dbline 74
;   c1 = get_char();
; }
; 
;   
; }
; /**************************** End of Main ******************************/
L7:
	rti
;  IX -> 0,x
_TIC3_isr::
	.dbfunc TIC3_isr
	.dbline 104
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L8:
	rti
;  IX -> 0,x
_TIC2_isr::
	.dbfunc TIC2_isr
	.dbline 110
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L9:
	rti
;  IX -> 0,x
_TIC1_isr::
	.dbfunc TIC1_isr
	.dbline 116
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L10:
	rti
;  IX -> 0,x
_RTI_isr::
	.dbfunc RTI_isr
	.dbline 122
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L11:
	rti
;  IX -> 0,x
_IRQ_isr::
	.dbfunc IRQ_isr
	.dbline 128
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L12:
	rti
;  IX -> 0,x
_XIRQ_isr::
	.dbfunc XIRQ_isr
	.dbline 134
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L13:
	rti
;  IX -> 0,x
_SWI_isr::
	.dbfunc SWI_isr
	.dbline 140
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L14:
	rti
;  IX -> 0,x
_ILLOP_isr::
	.dbfunc ILLOP_isr
	.dbline 146
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L15:
	rti
;  IX -> 0,x
_COP_isr::
	.dbfunc COP_isr
	.dbline 152
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L16:
	rti
;  IX -> 0,x
_CLMON_isr::
	.dbfunc CLMON_isr
	.dbline 158
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L17:
	rti
	.area data
_drew::
	.blkw 1
	.area idata
	.word _interrupt_vectors
	.area text
L19:
	.byte 27,91,50,'J,4,0
L20:
	.byte 27,91,49,59,49,'H,0
;  IX -> 0,x
;             c1 -> 2,x
;          place -> 3,x
;          clear -> 10,x
;            PW7 -> 16,x
;            PW3 -> 18,x
_main::
	jsr __enterb
	.byte 0x14
	.dbfile srvme.c
	.dbfunc main
	.dbline 39
	ldd 0,x
	addd #10
	ldy #L19
	pshx
	xgdx
	ldd #6
	jsr __asgnblk
	pulx
	.dbline 42
	ldd 0,x
	addd #3
	ldy #L20
	pshx
	xgdx
	ldd #7
	jsr __asgnblk
	pulx
	.dbline 44
	jsr _init_servome
	.dbline 45
	jsr _init_serial
	.dbline 46
	jsr _init_clocktjp
	bra L22
L21:
	.dbline 51
	ldd 0,x
	addd #10
	pshb
	psha
	ldd #L24
	jsr _printf
	puly
	.dbline 52
	ldd 0,x
	addd #3
	pshb
	psha
	ldd #L24
	jsr _printf
	puly
	.dbline 54
	ldd #L25
	jsr _printf
	.dbline 59
	ldd #L26
	jsr _printf
	.dbline 60
	jsr _read_int
	std 18,x
	.dbline 62
	ldd #L27
	jsr _printf
	.dbline 63
	jsr _read_int
	std 16,x
	.dbline 65
	ldd 18,x
	pshb
	psha
	ldd #0
	jsr _servo
	puly
	.dbline 66
	ldd 16,x
	pshb
	psha
	ldd #2
	jsr _servo
	puly
	.dbline 68
	ldd #L28
	jsr _printf
	.dbline 69
	jsr _get_char
	stab 2,x
	.dbline 70
L22:
	.dbline 48
	bra L21
L18:
	xgdx
	addd #20
	xgdx
	txs
	pulx
	rts
	.area bss
_timertjp::
	.blkb 2
_days::
	.blkb 2
_hours::
	.blkb 2
_minutes::
	.blkb 2
_seconds::
	.blkb 2
_msec::
	.blkb 2
	.area text
L28:
	.byte 'T,'y,'p,'e,32,'a,'n,'y,32,'c,'h,'a,'r,'a,'c,'t
	.byte 'e,'r,32,'t,'o,32,'i,'n,'p,'u,'t,32,'n,'e,'w,32
	.byte 'd,'a,'t,'a,46,0
L27:
	.byte 'P,'u,'l,'s,'e,32,'W,'i,'d,'t,'h,32,'f,'o,'r,32
	.byte 'S,'e,'r,'v,'o,32,'o,'n,32,'P,'A,55,58,32,49,48
	.byte 48,48,60,'P,'W,55,60,52,48,48,48,32,'o,'r,32,'P
	.byte 'W,55,61,48,58,32,32,32,0
L26:
	.byte 'P,'u,'l,'s,'e,32,'W,'i,'d,'t,'h,32,'f,'o,'r,32
	.byte 'S,'e,'r,'v,'o,32,'o,'n,32,'P,'A,51,58,32,49,48
	.byte 48,48,60,'P,'W,51,60,52,48,48,48,32,'o,'r,32,'P
	.byte 'W,51,61,48,58,32,32,32,0
L25:
	.byte 9,'T,'i,'t,'l,'e,9,9,'x,'m,50,'t,'k,46,'c,10
	.byte 9,'P,'r,'o,'g,'r,'a,'m,'m,'e,'r,9,'K,'e,'i,'t
	.byte 'h,32,'L,46,32,'D,'o,'t,'y,10,9,'D,'a,'t,'e,9
	.byte 9,'M,'a,'y,32,48,51,44,32,49,57,57,57,10,9,'V
	.byte 'e,'r,'s,'i,'o,'n,9,9,49,10,10,0
L24:
	.byte 37,'s,0
