	.module srvmotme.c
	.dbfile srvmotme.c
	.area data
_servo_limits::
	.blkb 2
	.area idata
	.word 600
	.area data
	.blkb 2
	.area idata
	.word 4800
	.area data
	.blkb 2
	.area idata
	.word 600
	.area data
	.blkb 2
	.area idata
	.word 4800
	.area data
	.blkb 2
	.area idata
	.word 600
	.area data
	.blkb 2
	.area idata
	.word 4800
	.area data
	.blkb 2
	.area idata
	.word 600
	.area data
	.blkb 2
	.area idata
	.word 4800
	.area data
	.blkb 2
	.area idata
	.word 600
	.area data
	.blkb 2
	.area idata
	.word 4800
	.area data
_srv_lim_default::
	.blkb 1
	.area idata
	.byte 1
	.area text
;  IX -> 0,x
_SCI_isr::
	.dbfile C:\ICCME\include/isrdecl.h
	.dbfunc SCI_isr
	.dbline 41
; /************************************************************************
;  * Title        srvmotme.c                                                 *
;  * Programmer	Keith L. Doty	        				*
;  * Date         May 03, 1999                                            *
;  * Version	1			                		*
;  *								        *
;  * Description								*
;  *   Input two integers to specify the speed and direction of the left  *
;  *   and right wheels. The integers must lie between -100 and +100. Any *
;  *   non-digit character will terminate the integer, e.g., a blank.     *
;  *									*
;  *   	      CAREFUL!!! The robot will start moving immediately!	*
;  *									*
;  * Use Hyperterm with the following settings:                           *
;  *   									*
;  *      COM1, 9600 Baud, 8 bits, No Parity, 1 Stop bit, No Flow         *
;  *      of Control, VT100 Terminal, WrapLines.				*
;  *									*
;  *									*
;  *   To input another pair of speeds, press reset to start the program  *
;  *   over. 								*
;  *									*
;  *  Usage: This program allows you to move the robot at any fixed       *
;  *         wheel speed ratios to generate either straight or circular	*
;  *         motion.  							*
;  ************************************************************************/
;  
; /**************************** Includes **********************************/
; #include <tjpbase.h>
; #include <stdio.h>
; /************************ End of includes *******************************/
; 
; 
; void main(void)
; /****************************** Main ***********************************/
; {
;   int lspeed, rspeed, PW3, PW7;
; /* VT100 clear screen */ 
;   char c1, clear[]= "\x1b\x5B\x32\x4A\x04"; 
; 
; /* VT100 position cursor at (x,y) = (3,12) command is "\x1b[3;12H"*/
L2:
	rti
;  IX -> 0,x
_SPI_isr::
	.dbfunc SPI_isr
	.dbline 47
;   char place[]= "\x1b[1;1H";	/*Home*/	
; 
;   init_motorme();
;   init_servome();
;   init_serial();
;   init_clocktjp();
L3:
	rti
;  IX -> 0,x
_PAIE_isr::
	.dbfunc PAIE_isr
	.dbline 53
;   
; while(1)
; {
; 
;   printf("%s", clear);  
;   printf("%s", place);
L4:
	rti
;  IX -> 0,x
_PAV_isr::
	.dbfunc PAV_isr
	.dbline 59
;   
;   printf("\tTitle\t\txm2tk.c\n"
;   "\tProgrammer\tKeith L. Doty\n"
;   "\tDate\t\tJuly 28, 1998\n"
;   "\tVersion\t\t1\n\n");
; 
L5:
	rti
;  IX -> 0,x
_TOF_isr::
	.dbfunc TOF_isr
	.dbline 65
;   printf("Enter percent of left motor speed, a number between -100 and 100:   ");
;   lspeed = read_int();
; 
;   printf("Enter percent of right motor speed, a number between -100 and 100:  ");
;   rspeed = read_int();
; 
L6:
	rti
;  IX -> 0,x
_TOC2_isr::
	.dbfunc TOC2_isr
	.dbline 83
;   motorme(RIGHT_MOTOR, rspeed); 
;   motorme(LEFT_MOTOR, lspeed);
; 
;   printf("Pulse Width for Servo on PA3: 1000<PW3<4000 or PW3=0:   ");
;   PW3 = read_int();
; 
;   printf("Pulse Width for Servo on PA7: 1000<PW7<4000 or PW7=0:   ");
;   PW7 = read_int();
; 
;   servo(0, PW3);
;   servo(4, PW7);
;  
;   printf("Type any character to input new data.");
;   c1 = get_char();
; }
; 
;   
; }
L7:
	rti
;  IX -> 0,x
_TOC3_isr::
	.dbfunc TOC3_isr
	.dbline 89
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L8:
	rti
;  IX -> 0,x
_TIC3_isr::
	.dbfunc TIC3_isr
	.dbline 101
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L9:
	rti
;  IX -> 0,x
_TIC2_isr::
	.dbfunc TIC2_isr
	.dbline 107
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L10:
	rti
;  IX -> 0,x
_TIC1_isr::
	.dbfunc TIC1_isr
	.dbline 113
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L11:
	rti
;  IX -> 0,x
_RTI_isr::
	.dbfunc RTI_isr
	.dbline 119
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L12:
	rti
;  IX -> 0,x
_IRQ_isr::
	.dbfunc IRQ_isr
	.dbline 125
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L13:
	rti
;  IX -> 0,x
_XIRQ_isr::
	.dbfunc XIRQ_isr
	.dbline 131
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L14:
	rti
;  IX -> 0,x
_SWI_isr::
	.dbfunc SWI_isr
	.dbline 137
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L15:
	rti
;  IX -> 0,x
_ILLOP_isr::
	.dbfunc ILLOP_isr
	.dbline 143
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L16:
	rti
;  IX -> 0,x
_COP_isr::
	.dbfunc COP_isr
	.dbline 149
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L17:
	rti
;  IX -> 0,x
_CLMON_isr::
	.dbfunc CLMON_isr
	.dbline 155
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
; /**************************** End of Main ******************************/
L18:
	rti
	.area data
_drew::
	.blkw 1
	.area idata
	.word _interrupt_vectors
	.area text
L20:
	.byte 27,91,50,'J,4,0
L21:
	.byte 27,91,49,59,49,'H,0
;  IX -> 0,x
;             c1 -> 2,x
;          place -> 3,x
;          clear -> 10,x
;            PW7 -> 16,x
;            PW3 -> 18,x
;         rspeed -> 20,x
;         lspeed -> 22,x
_main::
	jsr __enterb
	.byte 0x18
	.dbfile srvmotme.c
	.dbfunc main
	.dbline 39
	ldd 0,x
	addd #10
	ldy #L20
	pshx
	xgdx
	ldd #6
	jsr __asgnblk
	pulx
	.dbline 42
	ldd 0,x
	addd #3
	ldy #L21
	pshx
	xgdx
	ldd #7
	jsr __asgnblk
	pulx
	.dbline 44
	jsr _init_motorme
	.dbline 45
	jsr _init_servome
	.dbline 46
	jsr _init_serial
	.dbline 47
	jsr _init_clocktjp
	jmp L23
L22:
	.dbline 52
	ldd 0,x
	addd #10
	pshb
	psha
	ldd #L25
	jsr _printf
	puly
	.dbline 53
	ldd 0,x
	addd #3
	pshb
	psha
	ldd #L25
	jsr _printf
	puly
	.dbline 55
	ldd #L26
	jsr _printf
	.dbline 60
	ldd #L27
	jsr _printf
	.dbline 61
	jsr _read_int
	std 22,x
	.dbline 63
	ldd #L28
	jsr _printf
	.dbline 64
	jsr _read_int
	std 20,x
	.dbline 66
	ldd 20,x
	pshb
	psha
	ldd #1
	jsr _motorme
	puly
	.dbline 67
	ldd 22,x
	pshb
	psha
	ldd #0
	jsr _motorme
	puly
	.dbline 69
	ldd #L29
	jsr _printf
	.dbline 70
	jsr _read_int
	std 18,x
	.dbline 72
	ldd #L30
	jsr _printf
	.dbline 73
	jsr _read_int
	std 16,x
	.dbline 75
	ldd 18,x
	pshb
	psha
	ldd #0
	jsr _servo
	puly
	.dbline 76
	ldd 16,x
	pshb
	psha
	ldd #4
	jsr _servo
	puly
	.dbline 78
	ldd #L31
	jsr _printf
	.dbline 79
	jsr _get_char
	stab 2,x
	.dbline 80
L23:
	.dbline 49
	jmp L22
L19:
	xgdx
	addd #24
	xgdx
	txs
	pulx
	rts
	.area bss
_servo_width::
	.blkb 10
_timertjp::
	.blkb 2
_days::
	.blkb 2
_hours::
	.blkb 2
_minutes::
	.blkb 2
_seconds::
	.blkb 2
_msec::
	.blkb 2
	.area text
L31:
	.byte 'T,'y,'p,'e,32,'a,'n,'y,32,'c,'h,'a,'r,'a,'c,'t
	.byte 'e,'r,32,'t,'o,32,'i,'n,'p,'u,'t,32,'n,'e,'w,32
	.byte 'd,'a,'t,'a,46,0
L30:
	.byte 'P,'u,'l,'s,'e,32,'W,'i,'d,'t,'h,32,'f,'o,'r,32
	.byte 'S,'e,'r,'v,'o,32,'o,'n,32,'P,'A,55,58,32,49,48
	.byte 48,48,60,'P,'W,55,60,52,48,48,48,32,'o,'r,32,'P
	.byte 'W,55,61,48,58,32,32,32,0
L29:
	.byte 'P,'u,'l,'s,'e,32,'W,'i,'d,'t,'h,32,'f,'o,'r,32
	.byte 'S,'e,'r,'v,'o,32,'o,'n,32,'P,'A,51,58,32,49,48
	.byte 48,48,60,'P,'W,51,60,52,48,48,48,32,'o,'r,32,'P
	.byte 'W,51,61,48,58,32,32,32,0
L28:
	.byte 'E,'n,'t,'e,'r,32,'p,'e,'r,'c,'e,'n,'t,32,'o,'f
	.byte 32,'r,'i,'g,'h,'t,32,'m,'o,'t,'o,'r,32,'s,'p,'e
	.byte 'e,'d,44,32,'a,32,'n,'u,'m,'b,'e,'r,32,'b,'e,'t
	.byte 'w,'e,'e,'n,32,45,49,48,48,32,'a,'n,'d,32,49,48
	.byte 48,58,32,32,0
L27:
	.byte 'E,'n,'t,'e,'r,32,'p,'e,'r,'c,'e,'n,'t,32,'o,'f
	.byte 32,'l,'e,'f,'t,32,'m,'o,'t,'o,'r,32,'s,'p,'e,'e
	.byte 'd,44,32,'a,32,'n,'u,'m,'b,'e,'r,32,'b,'e,'t,'w
	.byte 'e,'e,'n,32,45,49,48,48,32,'a,'n,'d,32,49,48,48
	.byte 58,32,32,32,0
L26:
	.byte 9,'T,'i,'t,'l,'e,9,9,'x,'m,50,'t,'k,46,'c,10
	.byte 9,'P,'r,'o,'g,'r,'a,'m,'m,'e,'r,9,'K,'e,'i,'t
	.byte 'h,32,'L,46,32,'D,'o,'t,'y,10,9,'D,'a,'t,'e,9
	.byte 9,'J,'u,'l,'y,32,50,56,44,32,49,57,57,56,10,9
	.byte 'V,'e,'r,'s,'i,'o,'n,9,9,49,10,10,0
L25:
	.byte 37,'s,0
