/************************************************************************
 * Title        srvolim.c                                               *
 * Programmer	Keith L. Doty	        								*
 * Date         May 07, 1999                                            *
 * Version	1			                								*
 *								        								*
 ************************************************************************/



void set_servo_limits(void)
/************************************************************************
 * Function: Initializes all necessary variables for the servos.        *
 * Returns: None                                                        *
 *                                                                      *
 * Inputs                                                               *
 *   Parameters: None                                                   *
 *   Globals:    None                                                   *
 *   Registers:  None                                                   *
 * Outputs                                                              *
 *   Parameters: None                                                   *
 *   Globals:   servo_limits[]							*
 *                     					*
 *   Registers:  None                              *
 * Functions called: None                                               *
 * Notes: None                                                          *
 ************************************************************************/
{
  int i;
  
  /* VT100 clear screen */ 
  printf("\x1b\x5B\x32\x4A\x04");

/* VT100 position cursor at (x,y) = (3,12) command is "\x1b[3;12H"*/
  printf("\x1b[1;1H");
  
  printf(
  

  
  printf("Enter Servo Index: 0 to 4 (PA3-PA7)  ");
  i = read_int();

  printf("Enter Lower Servo Pulse Width Limit:   ");
  servo_limit[i,0] = read_int();
  
  printf("Enter Upper Servo Pulse Width Limit:   ");
  servo_limit[i,1] = read_int();
  
  
  


}

/***************** end set_servo_limits *********************************/


